Cant update because of node error on freenas


#1

gyp ERR! build error
gyp ERR! stack Error: gmake failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/pbi/mineos-amd64/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:267:23)
gyp ERR! stack at ChildProcess.emit (events.js:98:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:810:12)
gyp ERR! System FreeBSD 11.1-STABLE
gyp ERR! command “node” “/usr/pbi/mineos-amd64/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “rebuild”
gyp ERR! cwd /usr/pbi/mineos-amd64/share/mineos/mineos-node/node_modules/posix
gyp ERR! node -v v0.10.31
gyp ERR! node-gyp -v v1.0.1
gyp ERR! not ok
npm WARN engine request@2.79.0: wanted: {“node”:">= 4"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine esprima@4.0.0: wanted: {“node”:">=4"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine hawk@3.1.3: wanted: {“node”:">=0.10.32"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine form-data@2.1.4: wanted: {“node”:">= 0.12"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine cryptiles@2.0.5: wanted: {“node”:">=0.10.40"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine boom@2.10.1: wanted: {“node”:">=0.10.40"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
npm WARN engine hoek@2.16.3: wanted: {“node”:">=0.10.40"} (current: {“node”:“0.10.31”,“npm”:“1.4.25”})
moment@2.21.0 usr/pbi/mineos-amd64/share/mineos/mineos-node/node_modules/moment
request@2.74.0 usr/pbi/mineos-amd64/share/mineos/mineos-node/node_modules/request
├── is-typedarray@1.0.0
├── oauth-sign@0.8.2
├── aws-sign2@0.6.0
├── forever-agent@0.6.1
├── stringstream@0.0.6
├── tunnel-agent@0.4.3
├── caseless@0.11.0
├── isstream@0.1.2
├── json-stringify-safe@5.0.1
├── aws4@1.7.0
├── extend@3.0.1
├── combined-stream@1.0.6 (delayed-stream@1.0.0)
├── qs@6.2.3
├── mime-types@2.1.18 (mime-db@1.33.0)
├── tough-cookie@2.3.4 (punycode@1.4.1)
├── bl@1.1.2 (readable-stream@2.0.6)
├── har-validator@2.0.6 (commander@2.15.1, pinkie-promise@2.0.1, chalk@1.1.3, is-my-json-valid@2.17.2)
├── hawk@3.1.3 (cryptiles@2.0.5, sntp@1.0.9, boom@2.10.1, hoek@2.16.3)
├── http-signature@1.1.1 (assert-plus@0.2.0, jsprim@1.4.1, sshpk@1.14.2)
└── form-data@1.0.1 (async@2.6.1)
npm WARN package.json babel-traverse@6.11.4 No description
nodeunit@0.9.5 usr/pbi/mineos-amd64/share/mineos/mineos-node/node_modules/nodeunit
└── tap@7.1.2 (os-homedir@1.0.1, clean-yaml-object@0.1.0, opener@1.4.3, stack-utils@0.4.0, signal-exit@3.0.2, color-support@1.1.3, i
sexe@1.1.2, only-shallow@1.2.0, deeper@2.1.0, tmatch@2.0.1, tap-parser@2.2.3, readable-stream@2.3.6, glob@7.1.2, foreground-child@1.
5.6, tap-mocha-reporter@2.0.1, bluebird@3.5.1, js-yaml@3.12.0, coveralls@2.13.3, nyc@7.1.0)
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /npm-debug.log
npm ERR! not ok code 0

Is the error im getting after running service mineos ouneupdate. I tried updating node with pkg install noge and node -v even tells me i got version 10.4.1 but in the error log it says 0.10.31. Why is thins and how do I update?


#2

This is the third issue you open on your problem with updates, freenas, and mineos. Please keep to one thread. .Your three threads are in the first five threads, so it’s not like they are getting burried. And opening new threads are not getting you help any faster.